Purchase Rates
The Purchase Rate object
idstringoptionalPublic purchase rate identifier.
service_quotestringoptionalService quote associated with the purchase.
orderstringoptionalOrder associated with the purchase.
customerstringoptionalCustomer associated with the purchase.
transactionstringoptionalTransaction associated with the purchase.
amountcurrencyoptionalPurchased amount.
currencycurrencyoptionalThree-letter currency code.
statusstringoptionalPurchase rate status.
updated_attimestampoptionalTimestamp when the purchase rate was last updated.
created_attimestampoptionalTimestamp when the purchase rate was created.
{
"id": "purchase_rate_7YqM3KpL2n",
"service_quote": "service_quote_6zV1KqN9pR",
"order": "order_7YqM3KpL2n",
"customer": "contact_6zV1KqN9pR",
"transaction": null,
"amount": 2500,
"currency": "USD",
"status": "created",
"updated_at": "2026-05-07T08:30:00.000000Z",
"created_at": "2026-05-07T08:30:00.000000Z"
}/v1/purchase-ratesCreate a Purchase Rate
Only ServiceQuote objects generated using a Payload object may be used to create PurchaseRate objects.
service_quotestringrequiredService quote ID to purchase.
orderstringoptionalExisting order ID to attach the purchase rate to. When omitted, Fleetbase may create an order from the service quote.
customerstringoptionalContact or vendor ID to assign as the purchase customer.
metaobjectoptionalAdditional purchase rate metadata.
/v1/purchase-ratescurl -X POST https://api.fleetbase.io/v1/purchase-rates \
-H "Authorization: Bearer flb_live_…" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
"service_quote": "{{service_quote_id}}"
}'{
"id": "<string>",
"customer": "<string>",
"order": "<string>",
"service_quote": "<string>",
"status": "<string>",
"updated_at": "<string>",
"created_at": "<string>"
}/v1/purchase-rates/:idRetrieve a Purchase Rate
This endpoint allows you to retrieve a purchase-rate object to view it's details.
/v1/purchase-rates/:idcurl https://api.fleetbase.io/v1/purchase-rates/:id \
-H "Authorization: Bearer flb_live_…" \
-H "Accept: application/json"{
"id": "<string>",
"customer": "<string>",
"order": "<string>",
"service_quote": "<string>",
"status": "<string>",
"updated_at": "<string>",
"created_at": "<string>"
}/v1/purchase-ratesQuery Purchase Rates
This endpoint allows you to query purchase-rates you have created, it also provides paginated results on all the purchase-rates in your Fleetbase.
limitintegeroptionalMaximum number of purchase rates to return.
offsetintegeroptionalNumber of purchase rates to skip before returning results.
sortstringoptionalSort expression for the purchase rate query.
service_quotestringoptionalFilters purchase rates by service quote ID.
orderstringoptionalFilters purchase rates by order ID.
customerstringoptionalFilters purchase rates by customer ID.
/v1/purchase-ratescurl https://api.fleetbase.io/v1/purchase-rates?limit=25&offset=0&sort=created_at \
-H "Authorization: Bearer flb_live_…"